DestroyMode (Apache Commons Pool 2.11.1 API)

org.apache.commons.pool2

## Enum DestroyMode

- java.lang.Object
- - java.lang.Enum<DestroyMode>
  - - org.apache.commons.pool2.DestroyMode

- All Implemented Interfaces:
    Serializable, Comparable<DestroyMode>

      public enum DestroyMode
      extends Enum<DestroyMode>

  Destroy context provided to object factories via `destroyObject` and `invalidateObject` methods. Values provide information about why the pool is asking for a pooled object to be destroyed.
  Since:
    2.9.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABANDONED` Destroy abandoned object.
    `NORMAL` Normal destroy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DestroyMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DestroyMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final DestroyMode NORMAL

      Normal destroy.

    - #### ABANDONED

          public static final DestroyMode ABANDONED

      Destroy abandoned object.

  - ### Method Detail

    - #### values

          public static DestroyMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DestroyMode c : DestroyMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DestroyMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.